PROGRAM_NAME='ClearoneConvergePro2 SkypeExample'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/05/2006  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)
(*
    $History: $
*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

dvClearonePro2 = 0:3:0
vdvClearonePro2 = 41001:1:0

vdvSkypeDialer = 41001:1:0;

dvPanel = 10001:1:0
(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

VOLATILE DEV dvPanels[] = 
{
	dvPanel
}

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)
(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

DEFINE_MODULE 'Clearone_ConvergePro2_Comm_dr1_0_0' modClearonePro2(vdvClearonePro2, dvClearonePro2); 

DEFINE_MODULE 'Clearone_SkypeDialer_UI' modSkypeDialerUI(vdvSkypeDialer, dvPanels);

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

DATA_EVENT[vdvClearonePro2]
{
	ONLINE:
	{
		WAIT 50 'vdvClearonePro2 Settle'
		{
			SEND_COMMAND vdvClearonePro2,'DEBUG-4'
			SEND_COMMAND vdvClearonePro2,'PROPERTY-IP_Address,192.168.187.53'
			SEND_COMMAND vdvClearonePro2,'PROPERTY-User_Name,clearone'
			SEND_COMMAND vdvClearonePro2,'PROPERTY-Password,converge'
			SEND_COMMAND vdvClearonePro2,'AUDIOPROCADD-1,SKYPE[Skype_Name_2_01]'			
		}
	}
}
(***********************************************************)
(*                      END OF CODE                        *)
(***********************************************************)

